<div class="fieldset-legend">

    <h3>
        <label><b>Tambah Request</b></label>
    </h3>

<p-accordion class="filter-accordion">
    <p-accordionTab header="Tambah" [selected]="true">
        <form name="editForm" role="form" novalidate (ngSubmit)="tambahDetail(selectedFacility,selectedGood,selectedYear,selectedFeature)" #editForm="ngForm">
            <div class="row">
                <div class="col-sm-4">
                    <div class="form-group">
                        <label class="form-control-label" for="field_dateCreate">Nomor Request</label>
                        <input type="text" class="form-control" name="field_nomorRequest" placeholder="Nomor Request" [(ngModel)]="transferRes.ReqnotNumber" [disabled]="true" readonly>
                    </div>
                </div>
                <div class="col-sm-4">
                    <div class="form-group">
                        <label class="form-control-label" for="field_dateCreate">Tanggal Request</label>
                        <input type="text" class="form-control" name="field_dtrequest" placeholder="Tanggal Request" [(ngModel)]="transferRes.RequestDate" [disabled]="true" readonly>
                    </div>
                </div>
                <div class="col-sm-3">
                    <div class="form-group">
                        <label class="form-control-label">Tanggal Pengiriman</label>
                        <!-- <div class="col-md-5"> -->
                        <div class="input-group input-calendar">
                            <p-calendar class="size-calendar" id="dtDelivery" dateFormat="dd-mm-yy" name="DateDelivery" [showIcon]="true" [(ngModel)]="selectedDate" [disabled]="active" required></p-calendar>
                        </div>
                        <!-- </div> -->
                    </div>
                </div>
                <div class="col-sm-4">
                    <div class="form-group">
                        <label>Lokasi Tujuan</label>
                        <select class="form-control" id="field_facilityTo" name="facilityTo" [(ngModel)]="selectedFacilityTo" [disabled]="active" required>
                            <option [ngValue]="facility.idFacility" *ngFor="let facility of facilitiesTo; trackBy: trackFacilityById">{{facility.description}} </option>
                        </select>
                    </div>
                </div>
            </div>
            <b><hr width="100%" align="center"></b>
            <div class="row">
                <div class="col-sm-4">
                    <div class="form-group">
                        <label>Lokasi</label>
                        <select class="form-control" id="field_facility" name="facility" [(ngModel)]="selectedFacility" (change)="loadGood(selectedFacility)" [disabled]="active">
                            <option [ngValue]="facility.idFacility" *ngFor="let facility of facilities; trackBy: trackFacilityById">{{facility.description}} </option>
                        </select>
                    </div>
                </div>
                <div class="col-sm-4">
                    <div class="form-group">
                        <label>Market Name</label>
                        <select class="form-control" id="field_good" name="good" [(ngModel)]="selectedGood" (change)="loadYear(selectedFacility,selectedGood)" [disabled]="active">
                            <option [ngValue]="good.idProduct"  *ngFor="let good of goods; trackBy: trackGoodById">{{good.idProduct}} - {{good.name}}</option>
                        </select>
                    </div>
                </div>
                <div class="col-sm-4">
                    <div class="form-group">
                        <label>Tahun</label>
                        <select class="form-control" id="field_year" name="year" [(ngModel)]="selectedYear" (change)="loadFeature(selectedFacility,selectedGood,selectedYear)" [disabled]="active" required>
                            <option [ngValue]="year" *ngFor="let year of years; trackBy: trackYear">{{year}}</option>
                        </select>
                    </div>
                </div>
                <div class="col-sm-4">
                    <div class="form-group">
                        <label>Warna</label>
                        <select class="form-control" id="fiels_feature" name="feature" [(ngModel)]="selectedFeature" [disabled]="active" required>
                            <option [ngValue]="feature.idFeature" *ngFor="let feature of features; trackBy: trackFeatureById">{{feature.description}}</option>
                        </select>
                    </div>
                </div>
                <div class="col-sm-4">
                    <div class="form-group">
                        <label>Qty Request</label>
                        <input class="form-control" min="1" type="number" name="Quantity" [(ngModel)]="qtyRequest" [disabled]="active">
                    </div>
                </div>
                <div class="col-sm-4">
                    <div class="form-group">
                        <div *ngIf="!active" class="btn-filter-wrapper pull-right" style="margin-top: 30px;">
                            <button 
                                type="submit" 
                                class="btn btn-primary btn-filter"
                                [disabled]="editForm.form.invalid">
                                <span>Tambah</span>
                            </button>
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </p-accordionTab>
</p-accordion>
<!-- <form name="searchForm" class="form-inline">
    <div class="input-group w-100 mt-3">
        <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
            name="currentSearch" placeholder="Cari Surat Jalan">
        <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
            <span class="fa fa-search"></span>
        </button>
        <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
            <span class="fa fa-trash-o"></span>
        </button> -->
        <!-- <ul class="nav justify-content-end">
            <li class="nav-item"*jhiHasAnyAuthority="['ROLE_ADMIN']">
                <a class="btn" (click)="buildReindex()" href="javascript:void(0)" style="cursor: pointer;"><span><i class="fa fa-th-list"></i> &nbsp;{{ 'entity.action.reindex' | translate }}</span>
                </a>
            </li>
        </ul> -->
    <!-- </div>
</form> -->
&nbsp;
&nbsp;

<p-dataTable 
    [value]="transferUnitRequests" 
    [editable]="true" 
    [rows]="itemsPerPage" 
    [paginator]="true" 
    [pageLinks]="5" 
    [rowsPerPageOptions]="[10,15,20]" 
    [totalRecords]="totalItems" 
    [responsive]="true" 
    [lazy]="true" 
    dataKey="idRequest"
    expandableRows="false" 
    (onLazyLoad)="loadDataLazy($event)" 
    (onEditComplete)="updateRowData($event)">

    <!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
    <!-- <p-column header="{{'mpmApp.requirement.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
        <ng-template let-rowIndex="rowIndex" pTemplate="body">
            {{rowIndex + 1}}
        </ng-template>
    </p-column> -->
    <p-column header="Lokasi">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.LocationFrom}}
        </ng-template>
    </p-column>
    <p-column header="Market Name">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.MarketName}}
        </ng-template>
    </p-column>
    <p-column header="Kode Tipe">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.idProduct}}
        </ng-template>
    </p-column>
    <p-column header="Tahun">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.Year}}
        </ng-template>
    </p-column>
    <p-column header="Warna">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.Color}}
        </ng-template>
    </p-column>
    <p-column header="Qty Request" [style]="{'width': '150px', 'text-align': 'center'}">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.Qty}}
        </ng-template>
    </p-column>
    <p-column header="Hapus" [style]="{'width': '100px', 'text-align': 'center'}">
        <ng-template let-rowIndex="rowIndex" pTemplate="body">
            <button pButton type="submit" icon="fa-remove" class="flat-button" (click)="DeleteOne(rowIndex)" [disabled]="active" pTooltip="Hapus">
            </button>
        </ng-template>
    </p-column>

    <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
    </ng-template>

</p-dataTable>
<div class="btn-filter-wrapper pull-right">
    <button type="button" class="btn btn-primary btn-filter" (click)="createRequestNote()" [disabled]="active">
        <span>Submit</span>
    </button>
</div>
<div style="margin-bottom: 30px;"></div>
</div>
